Redis::Sentinel(3)

NAME
Redis::Sentinel - Redis Sentinel interface

VERSION
version 2.000

SYNOPSIS
    my $sentinel = Redis::Sentinel->new( ... );
    my $service_address = $sentinel->get_service_address('mymaster');
    my @masters = $sentinel->get_masters;

DESCRIPTION
This is a subclass of the Redis module, specialized into connecting to a Sentinel instance. Inherits from the "Redis" package;

CONSTRUCTOR

  new
See "new" in Redis.pm. All parameters are supported, except "sentinels" and "service", which are silently ignored.

METHODS
All the methods of the "Redis" package are supported, plus the additional following methods:

  get_service_address
Takes the name of a service as parameter, and returns either void (emptly list) if the master couldn't be found, the string 'IDONTKNOW' if the service is in the sentinel config but cannot be reached, or the string "$ip:$port" if the service were found.

  get_masters
Returns a list of HashRefs representing all the master redis instances that this sentinel monitors.

AUTHORS

•   Pedro Melo <melo@cpan.org>

•   Damien Krotkine <dams@cpan.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2015 by Pedro Melo, Damien Krotkine.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)